<?php
/* --------------------------------------------------------------
   AfterbuyCronjobDependencies.inc.php 2022-04-19
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2022 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/
declare(strict_types=1);

use Doctrine\DBAL\Connection;
use Gambio\Admin\Modules\Language\Services\LanguageReadService;
use Gambio\Core\Configuration\Services\ConfigurationFinder;
use Gambio\Core\Configuration\Services\ConfigurationService;
use GXModules\Gambio\Afterbuy\Admin\Classes\AfterbuyXML\AfterbuyXMLService;
use GXModules\Gambio\Afterbuy\Admin\Classes\LoggerAdapter;
use GXModules\Gambio\Afterbuy\Admin\Classes\ProductsQuantityUpdateService;
use GXModules\Gambio\Haendlerbund\Admin\Classes\HaendlerbundConfigurationFinder;
use GXModules\Gambio\Haendlerbund\Admin\Classes\BatixService;
use GXModules\Gambio\Haendlerbund\Admin\Classes\HaendlerbundUpdateService;
use GXModules\Gambio\Haendlerbund\Admin\Classes\LegaltextUpdateService;

class AfterbuyCronjobDependencies extends AbstractCronjobDependencies
{
    
    /**
     * @return array
     */
    public function getDependencies()
    {
        /** @var GambioAfterbuyConfigurationStorage $gambioAfterbuyConfigurationStorage */
        $gambioAfterbuyConfigurationStorage = MainFactory::create('GambioAfterbuyConfigurationStorage');
        $configurationFinder                = LegacyDependencyContainer::getInstance()->get(ConfigurationFinder::class);
        $partnerToken                       = $gambioAfterbuyConfigurationStorage->get('partner_token');
        $accountToken                       = $gambioAfterbuyConfigurationStorage->get('account_token');
        $productsQuantitiesUpdateService    = new ProductsQuantityUpdateService(StaticGXCoreLoader::getDatabaseQueryBuilder());
        
        return [
            'ConfigurationStorage'            => $gambioAfterbuyConfigurationStorage,
            'ConfigurationFinder'             => $configurationFinder,
            'DatabaseQueryBuilder'            => StaticGXCoreLoader::getDatabaseQueryBuilder(),
            'XMLService'                      => new AfterbuyXMLService($partnerToken, $accountToken),
            'ProductsQuantitiesUpdateService' => $productsQuantitiesUpdateService,
            'sendOrdersActive'                => $this->storage->get('Afterbuy', 'sendOrdersActive'),
            'updateQuantitiesActive'          => $this->storage->get('Afterbuy', 'updateQuantitiesActive'),
        ];
    }
}
