<?php
/* --------------------------------------------------------------
 ActionUpdatePeriod.php 2021-08-01
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2021 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Admin\Modules\Dashboard\App\Actions;

use Gambio\Admin\Modules\Statistics\Services\StatisticsDashboardWidgetService;
use Gambio\Core\Application\Http\AbstractAction;
use Gambio\Core\Application\Http\Request;
use Gambio\Core\Application\Http\Response;

/**
 * Class ActionUpdatePeriod
 *
 * @package Gambio\Admin\Modules\Dashboard\App\Actions
 * @codeCoverageIgnore
 */
class ActionUpdatePeriod extends AbstractAction
{
    
    /**
     * @var StatisticsDashboardWidgetService
     */
    private $statisticsService;
    
    
    /**
     * ActionUpdatePeriod constructor.
     *
     * @param StatisticsDashboardWidgetService $statisticsService Dashboard widget service.
     */
    public function __construct(StatisticsDashboardWidgetService $statisticsService)
    {
        $this->statisticsService = $statisticsService;
    }
    
    
    /**
     * @inheritDoc
     */
    public function handle(Request $request, Response $response): Response
    {
        if (is_string($request->getAttribute('period'))) {
            $this->statisticsService->updatePreferredPeriod($request->getAttribute('period'));
        }
        
        return $response;
    }
}