<?php
/* --------------------------------------------------------------
  VpeWriter.php 2021-11-03
  Gambio GmbH
  http://www.gambio.de
  Copyright (c) 2021 Gambio GmbH
  Released under the GNU General Public License (Version 2)
  [http://www.gnu.org/licenses/gpl-2.0.html]
  --------------------------------------------------------------*/

declare(strict_types=1);

namespace Gambio\Admin\Modules\Deprecated\Vpe\App\Data;

use Doctrine\DBAL\Connection;

/**
 * Class VpeWriter
 * @package    Gambio\Admin\Modules\Deprecated\Vpe\App\Data
 * @deprecated will be removed with the release of 4.7!
 */
class VpeWriter
{
    /**
     * @var Connection
     */
    private $connection;
    
    
    /**
     * @param Connection $connection
     */
    public function __construct(Connection $connection)
    {
        $this->connection = $connection;
    }
    
    
    /**
     * @param int   $productOptionId
     * @param int   $vpeId
     * @param float $vpeValue
     */
    public function store(int $productOptionId, int $vpeId, float $vpeValue): void
    {
        $this->connection->createQueryBuilder()
            ->update('products_attributes')
            ->set('products_vpe_id', $vpeId)
            ->set('gm_vpe_value', $vpeValue)
            ->where('products_attributes_id=:product_option_id')
            ->setParameter('product_option_id', $productOptionId)
            ->execute();
    }
}