<?php
/* --------------------------------------------------------------
   localization.php 2022-06-14
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2022 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]

   IMPORTANT! THIS FILE IS DEPRECATED AND WILL BE REPLACED IN THE FUTURE.
   MODIFY IT ONLY FOR FIXES. DO NOT APPEND IT WITH NEW FEATURES, USE THE
   NEW GX-ENGINE LIBRARIES INSTEAD.
   --------------------------------------------------------------

   based on:
   (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
   (c) 2002-2003 osCommerce(localization.php,v 1.12 2003/06/25); www.oscommerce.com
   (c) 2003	 nextcommerce (localization.php,v 1.4 2003/08/14); www.nextcommerce.org
   (c) 2003 XT-Commerce - community made shopping http://www.xt-commerce.com ($Id: localization.php 950 2005-05-14 16:45:21Z mz $)

   Released under the GNU General Public License
   --------------------------------------------------------------*/

defined('_VALID_XTC') or die('Direct Access to this location is not allowed.');

function getCurrentRate($to, $base = DEFAULT_CURRENCY)
{
    static $exchangeRates;
    
    if (!empty($exchangeRates[$base][$to])) {
        return $exchangeRates[$base][$to];
    }
    
    // Currency converter. https://apilayer.com/marketplace/exchangerates_data-api
    $url    = 'https://api.apilayer.com/exchangerates_data/latest?base=' . $base;
    $apiKey = gm_get_conf('APILAYER_API_KEY') ? : '';
    
    if (empty($apiKey)) {
        return false;
    }
    
    $ch = curl_init();
    
    curl_setopt_array($ch, [
        CURLOPT_URL            => $url,
        CURLOPT_HTTPHEADER     => [
            'Content-Type: text/plain',
            'apikey: ' . $apiKey,
        ],
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING       => '',
        CURLOPT_MAXREDIRS      => 10,
        CURLOPT_TIMEOUT        => 10,
        CURLOPT_CONNECTTIMEOUT => 10,
        CURLOPT_FOLLOWLOCATION => true,
    ]);
    
    $jsonResponse = json_decode(curl_exec($ch), true);
    
    if (isset($jsonResponse['rates'])) {
        $exchangeRates[$base] = $jsonResponse['rates'];
    }
    
    return $jsonResponse['rates'][$to] ? : false;
}
